{% extends 'base.html.twig' %}

{% block title %}Problématique{% endblock %}

{% block body %}
    <ul style="list-style: none; padding: 0; margin:0">
        {% for soluce in datas %}
                <li style="margin:10px 50px;padding:10px 50px;border: solid 1px black; border-radius: 3px">
                    <div style="display: flex; flex-direction: column ; ">
                        <div style="display: flex; justify-content: space-between; border-bottom: solid 1px black">
                            <div>
                                <p>Par :{{ soluce.customer.firstname }}</p>
                                <p>Le : {{ soluce.createdAt | date }}</p>
                            </div>
                            <div style="display: flex">
                                <p>nombre de vote:<span class="int_vote_{{ soluce.id }}">{{ soluce.voteds | length }}</span> </p>
                                <div>
                                    {% if(app.user) %}
                                        {% if (soluce.userHasVoted(app.user.customer) != true ) %}{#si pas voter#}
                                            <button class='btn_vote btn btn-secondary' id="{{ soluce.id }}">Voter pour!</button>
                                        {% else %}
                                            <button class='btn_vote btn btn-primary' id="{{ soluce.id }}">Ne plus voter</button>
                                        {% endif %}
                                    {% else %}
                                        <p>connecter vous pour voter </p>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                        <p style="width: 100% ;justify-content: center">{{ soluce.content }}</p>
                    </div>
                </li>
        {% endfor %}
    </ul>
    {% block javascripts %}
        {{ parent() }}
        {{ encore_entry_script_tags('voted') }}
    {% endblock %}

{% endblock %}
